SSD Moodle Governance Plan

Browser Compatibility 

Recommended minimum browser: most recent version of Google Chrome, and Mozilla Firefox, Safari 6, Internet Explorer 9 (IE 10 required for drag and drop of files from outside the browser into Moodle). 

Browser must have popup-blocker disabled, accept third party cookies, and a pdf reader or functionality built in. For browser related issues contact 314-989-8686, the Technology Helpdesk or go to the Technical Support page.

The LMS will use a browser checker as a guide for users to ensure they have a compatible browser. The browser checker is also accessible on the Front page of SSD Moodle